Upstream information

CVE-2005-2088 at MITRE

Description

The Apache HTTP server before 1.3.34, and 2.0.x before 2.0.55, when acting as an HTTP proxy, allows remote attackers to poison the web cache, bypass web application firewall protection, and conduct XSS attacks via an HTTP request with both a "Transfer-Encoding: chunked" header and a Content-Length header, which causes Apache to incorrectly handle and forward the body of the request in a way that causes the receiving server to process it as a separate HTTP request, aka "HTTP Request Smuggling."

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having important severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 4.3
Vector AV:N/AC:M/Au:N/C:N/I:P/A:N
Access Vector Network
Access Complexity Medium
Authentication None
Confidentiality Impact None
Integrity Impact Partial
Availability Impact None
SUSE Bugzilla entries: 118271, 118272, 118274, 214334 [RESOLVED / FIXED], 95709 [RESOLVED], 99769

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
Open Enterprise Server
  • apache >= 1.3.29-71.18
  • mod_ssl >= 2.8.16-71.18
sles9-nlpos.x86
suse91.ppc
suse91.s390
suse91.ia64
suse91.x86-64
YOU Patch Nr: 10407
SUSE LINUX 9.2
  • apache2 >= 2.0.50-7.4
  • apache2-prefork >= 2.0.50-7.4
  • apache2-worker >= 2.0.50-7.4
SUSE LINUX 9.3
  • apache2 >= 2.0.53-9.2
  • apache2-prefork >= 2.0.53-9.2
  • apache2-worker >= 2.0.53-9.2
Novell Linux Desktop 9 for x86
Novell Linux Desktop 9 for x86_64
  • libapr0 >= 2.0.49-27.29
sles9-oes.x86
suse91.ppc
suse91.x86-64
suse91.ia64
suse91.s390
YOU Patch Nr: 10352
Open Enterprise Server
  • apache2 >= 2.0.49-27.29
  • apache2-devel >= 2.0.49-27.29
  • apache2-doc >= 2.0.49-27.29
  • apache2-example-pages >= 2.0.49-27.29
  • apache2-prefork >= 2.0.49-27.29
  • apache2-worker >= 2.0.49-27.29
  • libapr0 >= 2.0.49-27.29
sles9-oes.x86
suse91.ppc
suse91.x86-64
suse91.ia64
suse91.s390
YOU Patch Nr: 10352
SUSE LINUX Retail Solution 8
SuSE Linux Enterprise Server 8 for AMD64
SuSE Linux Enterprise Server 8 for IBM iSeries and IBM pSeries
SuSE Linux Enterprise Server 8 for IBM zSeries
SuSE Linux Enterprise Server 8 for IPF
SuSE Linux Openexchange Server 4
SuSE Linux School Server for i386
SuSE Linux Standard Server 8
UnitedLinux 1.0
  • apache >= 1.3.26-166
  • mod_ssl >= 2.8.10-166
slox4,2.x86
ul1.ppc
ul1.x86-64
YOU Patch Nr: 10408